Subject: bug#18525: closed (Re: bug#18525: Charset Linux modules not automatically loaded)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 02 Nov 2014 22:07:02 +0000

Your bug report

#18525: Charset Linux modules not automatically loaded

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
18525: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=18525
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#18525: Charset Linux modules not automatically loaded
From: [email-masked] (Ludovic Courtès)
To: [email-masked]
Date: Sun, 02 Nov 2014 23:06:56 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Fixed by d460204.

Ludo’.

Subject: Charset Linux modules not automatically loaded
From: [email-masked] (Ludovic Courtès)
To: [email-masked]
Date: Mon, 22 Sep 2014 14:31:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Forwarded from guix-devel.  Confirmed with Linux-libre 3.16.3 and eudev
1.9 (Guix commit de1c158.)

Ludo’.

Subject: Module auto-loading in standalone guix
From: Mark H Weaver <[email-masked]>
To: [email-masked]
Date: Tue, 22 Jul 2014 15:05:46 -0400
List-Id: "Development of GNU Guix and the GNU System distribution." <guix-devel.gnu.org>

While playing with standalone Guix, I found that I was unable to mount a
FAT-formatted USB drive.  The kernel generated the following error message:

  FAT-fs (sdb1): IO charset iso8859-1 not found

Loading the nls_iso8859_1 kernel module fixes the problem.

Isn't there normally some mechanism for automatically loading such
modules?  On my extremely simple home-built YeeLoong system, based on
Cross [GNU/]Linux From Scratch, and using a recent linux-libre 3.14.13
kernel that also makes nls_iso8859_1 a module, somehow the module is
loaded automatically.

I confess I'm rather ignorant of how this is supposed to work on modern
systems, but I vaguely recall that this is udev's job.  Is that right?

     Regards,
       Mark